> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/export-dpsencryptionkeys.md).

# Export-DPSEncryptionKeys

Export-DPSEncryptionKeys exporte un fichier de configuration de chiffrement de Devolutions Server pour l'importer dans une autre instance.

### Résumé

Exporter les clés de chiffrement dans un fichier

### Syntaxe

#### NonEncrypted (par défaut)

```
Export-DPSEncryptionKeys [-ApplicationPath] <string> [-Destination] <string> [-NoClobber] [-WhatIf]
 [-Confirm] [<CommonParameters>]
```

#### Encrypted

```
Export-DPSEncryptionKeys [-ApplicationPath] <string> [-Destination] <string>
 [[-Password] <PSPassword>] -Encrypt [-NoClobber] [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Description

Exporter les clés de chiffrement dans un fichier. Le fichier encryption.config ne peut pas être déplacé vers un autre système, car il est chiffré avec l'interface de programmation d'applications de protection des données (DPAPI), ce qui empêche la lecture du fichier à l'extérieur du système où il a été chiffré. Vous devez exporter le fichier, puis l'importer dans l'autre système.

### Exemples

**Sur un système d'exploitation Windows**

```powershell
PS C:\> $existingDVLSInstance = 'C:\my\path\dvlsInstance\'
PS C:\> $destination = 'C:\other\path\encryption.config'
PS C:\> Export-DPSEncryptionKeys -ApplicationPath $existingDVLSInstance -Destination $destination
```

**Sur un système d'exploitation Linux, lors de la création d'une nouvelle instance DLVS utilisant la même base de données** PS home/user/linuxDlvsInstance> $newDvlsInstance = '/home/user/linuxDlvsInstance' PS home/user/linuxDlvsInstance> $keysToImport = '/path/to/encryption.config' PS home/user/linuxDlvsInstance> Import-DPSEncryptionKeys -ApplicationPath $newDvlsInstance -Filename $keysToImport

Exportez les clés de chiffrement à partir d'un DVLS Windows. Utilisez ces clés lors de la création d'une nouvelle instance DVLS utilisant la même base de données.

### Paramètres

#### -ApplicationPath

Répertoire de l'application.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Vous demande une confirmation avant d'exécuter l'applet de commande.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Destination

Destination du nouveau fichier de configuration de chiffrement

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Encrypt

Chiffrer la configuration. Pour Windows seulement.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Encrypted
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -NoClobber

Empêche l'applet de commande d'écraser les fichiers existants. Si un fichier portant le nom spécifié existe déjà, l'applet de commande génère une erreur au lieu d'écraser le fichier.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Encrypted
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
- Name: NonEncrypted
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Mot de passe pour protéger le fichier exporté. Accepte une chaîne ou une chaîne sécurisée.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSPassword
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Encrypted
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Montre ce qui se produirait si l'applet de commande était exécutée. L'applet de commande n'est pas exécutée.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'information, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'information, tapez « Get-Help Export-DPSEncryptionKeys -detailed ». Pour de l'information technique, tapez « Get-Help Export-DPSEncryptionKeys -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/export-dpsencryptionkeys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
